Home

# Class goog.ui.media.MediaModel.Player

Constructs a player containing details of the player's URL and optionally its size.

Instance Method Summary
| `getSize() ⇒ ?goog.math.Size` Gets the size of the player.
| `getUrl() ⇒ string` Gets the player url.
| `getVars() ⇒ ?Object` Gets the player arguments.
| `setSize(?goog.math.Size size) ⇒ ?goog.ui.media.MediaModel.Player` Sets the size of the player.
| `setUrl(string url) ⇒ ?goog.ui.media.MediaModel.Player` Sets the player url.
| `setVars(?Object vars) ⇒ ?goog.ui.media.MediaModel.Player` Sets the player arguments.